## partner.tar.bz2

=== Partner-DB/Makefile ===
all:

test:
	prove

perltidy:
	find ./lib ./t -name '*.p[lm]' -o -name '*.t' | xargs -n1 -t -P8 perltidy -w --backup-file-extension=.~tidybkp~
	find ./lib ./t -name '*.~tidybkp~' -delete

clean:
	find . -name '*~' -type f -exec rm {} +

=== page_id_generator/Makefile ===
# Trendbox jobs makefile

api_t_install: ;

api_t_script:
	sudo service docker start
	cd ./api; docker build --network=host --tag page_id_generator_api .; cd ../
	docker run \
		--rm \
		--volume=`pwd`/api/t/:/app/t/ \
		page_id_generator_api \
		carton exec prove -r t/
	sudo service docker stop

=== partner2/Makefile ===
# Конфиги - start
FRONTEND_NODE_GIT?=https://github.yandex-team.ru/partner/yharnam.git
FRONTEND_NODE_PATH=adv/frontend/services/yharnam
FRONTEND_NODE_REF?=trunk
NPM_BIN=node_modules/.bin
ISTANBUL=${NPM_BIN}/istanbul
LMD=${NPM_BIN}/lmd
GRUNT=${NPM_BIN}/grunt
MOCHA=${NPM_BIN}/mocha-phantomjs

CURRENT_DIR=$(patsubst %/,%,$(dir $(abspath $(lastword $(MAKEFILE_LIST)))))
export ARCADIA_ROOT=$(shell arc root)
JAVA_BRANCH?=$(shell arc info --json | jq .remote -r)

ifndef UBUNTU_VERSION
	UBUNTU_VERSION=$(shell lsb_release -sc 2>/dev/null || echo "bionic")
endif

ifneq (${UBUNTU_VERSION}, "precise")
	UBUNTU_VERSION_SUFFIX=-${UBUNTU_VERSION}
endif

ifeq (${JAVA_REBUILD}, 1)
	override JAVA_REBUILD='--rebuild'
else
	override JAVA_REBUILD=''
endif


PARTNER_UID=123
LEGO_IMAGE_CONTENT= \
    .borschik \
	.tanker \
	common.priv.js \
    data \
    lib/QBit/blocks/ \
    lib/QBit/data/ \
    lib/QBit/templates/ \
    blocks \
	frontend \
    templates \
	utils/check_nodejs_version.sh \
    Makefile
IMAGE_CONTENT= \
    Makefile \
	etc \
	errors \
	mail_templates \
	api \
	bin \
	lib \
	locale \
	resources \
	migrations \
	configs/autotest \
	configs/dev \
	configs/test \
	configs/preprod \
	configs/production

.PHONY: xt

# Конфиги - end
export PERL5LIB:="./local/lib/perl5:/usr/share/partners/local/lib/perl5:${PERL5LIB}"
export CPATH=/usr/include/nodejs/deps/v8/include/:/usr/include/zookeeper/:/usr/include/mysql/
export NODE_PATH=/usr/lib/node_modules:

all:
	@echo [`date +"%Y/%m/%d %T"`] Start all
	@mkdir -p nginx
	@echo [`date +"%Y/%m/%d %T"`] Start tanker-sync.pl
	ONLY_DOWNLOAD=1 perl -Ilib -MNet::INET6Glue ./bin/tanker-sync.pl

clean:

.SECONDEXPANSION:

# Code utils
perltidy_full:
	@echo [`date +"%Y/%m/%d %T"`] Start perltidy
	find ./api ./bin ./lib ./t ./t_external -name '*.pl' -o -name '*.pm' -o -name '*.t' -o -name '*.psgi' | xargs -n1 -t -P8 perltidy -w --backup-file-extension=.~tidybkp~
	find ./ -name '*.~tidybkp~' -delete
	find ./api ./bin ./lib ./t ./t_external -name '*.pl' -o -name '*.pm' -o -name '*.t' -o -name '*.psgi' | xargs -n1 -t -P8 whiter

perltidy:
	@echo [`date +"%Y/%m/%d %T"`] Start perltidy
	@arc diff --name-only --cached | perl -nlE 'print $$ENV{ARCADIA_ROOT} . "/$$_" if /(\.t|\.pm|\.pl|\.psgi)\z/' | xargs -n1 -t -P8 perltidy -w --backup-file-extension=.~tidybkp~
	@rm -f `arc diff --name-only --cached | perl -nlE 'print($$ENV{ARCADIA_ROOT} . "$$_.~tidybkp~") if /(\.t|\.pm|\.pl|\.psgi)\z/'`
	@arc diff --name-only --cached | perl -nlE 'print $$ENV{ARCADIA_ROOT} . "/$$_" if /(\.t|\.pm|\.pl|\.psgi)\z/' | xargs -n1 -t -P8 whiter

pretty:
	@echo [`date +"%Y/%m/%d %T"`] Start pretty json
	@arc diff --name-only --cached | perl -I ./lib -Mqbit -ne 'chomp; if (/(\.json)$$/) { my $$file = $$ENV{ARCADIA_ROOT} . "/$$_"; print "$$file\n"; writefile($$file, to_json(from_json(readfile($$file)), pretty => 1)) }'

# LEGO - start
lego: lego_check_node_version
	@echo [`date +"%Y/%m/%d %T"`] Start build lego
	@cd frontend && YENV=production ./node_modules/.bin/grunt build

lego_clean:
	@echo [`date +"%Y/%m/%d %T"`] Start clean lego
	@cd frontend && ./node_modules/.bin/grunt clean
	@rm -rf common.priv.js data/css/_common.*css .tmp data/js/_common.*.js blocks/i-form-render/i-form-render.js data/i/./blocks

lego_install:
	@echo [`date +"%Y/%m/%d %T"`] Start install lego
	@cd frontend && npm install && npm update && ./node_modules/.bin/bower install

lego_watch_test:
	@echo [`date +"%Y/%m/%d %T"`] Start lego watch test
	@cd frontend && ./node_modules/.bin/grunt watch:test

lego_watch:
	@echo [`date +"%Y/%m/%d %T"`] Start lego watch
	@cd frontend && ./node_modules/.bin/grunt watch:build

lego_server:
	@echo [`date +"%Y/%m/%d %T"`] Start lego server
	@cd frontend && YENV=examples ./node_modules/.bin/enb server --port $(port)

lego_check_node_version:
	@utils/check_nodejs_version.sh 6 6
# LEGO - end

# Внутрение цели - start
# (Цели не предназанченный для отдельного запуска - нужно использовать цели из
# следующего раздела)
partner_db_create_sql_show:
	@perl -Ilib -I./local/lib/perl5 -MApplication -e 'my $$app = Application->new(); $$app->pre_run(); print $$app->partner_db->create_sql()'

partner_logs_db_create_sql_show:
	@perl -Ilib -MApplication -e 'my $$app = Application->new(); $$app->pre_run(); print $$app->partner_logs_db->create_sql()'

clickhouse_db_create_sql_show:
	@echo [`date +"%Y/%m/%d %T"`] Start clickhouse create sql
	@perl -Ilib -MApplication -e 'my $$app = Application->new(); $$app->pre_run(); print $$app->clickhouse_db->create_sql()'

partner1_db_create_sql_show:
	@perl -Ilib -MApplication -e 'my $$app = Application->new(); $$app->pre_run(); print $$app->partner1_db->create_sql()'

bk_on_prod:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_bk_on_prod()'

balance_on_prod:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_balance_on_prod()'

db_on_prod:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_db_on_prod()'

db_on_test:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_db_on_test()'

ch_on_prod:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_ch_on_prod()'

ch_on_test:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_ch_on_test()'

yt_on_prod:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_yt_on_prod()'

mol_on_prod:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_mol_on_prod()'

page_id_generator_on_prod:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_page_id_generator_on_prod()'

page_id_generator_on_test:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_page_id_generator_on_test()'

create_and_copy_configs: compose_swagger
	@mkdir -p nginx;
	@mkdir -p nginx/chi_file_cache;
	@mkdir -p nginx/partner2_migration;
	@mkdir -p nginx/pi_errors;
	@mkdir -p nginx/publisher_stat;
	@mkdir -p nginx/stat_cache;
	@mkdir -p nginx/pages_dump;
	@mkdir -p nginx/api_logs;

	@rm -f nginx/log4perl.conf.term;

	@cp configs/carton/${UBUNTU_VERSION}/cpanfile  cpanfile
	@cp configs/carton/${UBUNTU_VERSION}/cpanfile.snapshot  cpanfile.snapshot
	@PERL5LIB=./local/lib/perl5  carton install --deployment;

ifeq ("$(UBUNTU_VERSION)", "bionic")
	# Copy JavaScript::V8 to local/lib
	@cp -r configs/default/bionic/libs/JavaScript  local/lib/perl5/x86_64-linux-gnu-thread-multi/;
	@mkdir -p local/lib/perl5/x86_64-linux-gnu-thread-multi/auto/JavaScript/V8/;
	@cp configs/default/bionic/libs/V8.so   local/lib/perl5/x86_64-linux-gnu-thread-multi/auto/JavaScript/V8/V8.so;
endif

	@perl configs/dev/bin/generate_dev_configs.pl
	@cp \
		configs/dev/ssl.conf \
		nginx/
	@chmod a+x nginx/init.sh
	@cp \
	    configs/dev/Application.json \
	    configs/dev/DatabaseConfig.json \
	    configs/dev/WebInterface.json \
	    lib/
    # only after copy configs/dev/Application.json
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_java_jsonapi_port()'

db_on_docker:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_db_on_docker()'

db_on_deploy:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::set_db_on_oneshot()'

db_on_dev:
	@perl -Ilib -MUtils::MakeFile -e 'Utils::MakeFile::delete_db_on_docker()'
	@cp \
	    configs/dev/DatabaseConfig.json \
	    lib/

compose_swagger:
	@echo [`date +"%Y/%m/%d %T"`] Compose swagger.json
	@perl -Ilib -MUtils::Swagger -e 'Utils::Swagger::compose_swagger_json()';

frontend-node:
	@echo [`date +"%Y/%m/%d %T"`] Exporting Node.js frontend. With branch ${FRONTEND_NODE_REF}
	@mkdir frontend-node
	@cd frontend-node && arc init --bare && arc export ${FRONTEND_NODE_REF} ${FRONTEND_NODE_PATH} --to .

frontend_install_nvm:
	@utils/frontend-install-nvm.sh

frontend-node-static: frontend_install_nvm frontend-node
	@echo [`date +"%Y/%m/%d %T"`] Creating Node.js frontend
	@. utils/frontend-node-env.sh && cd frontend-node/${FRONTEND_NODE_PATH} && ENV=testing make beta

create_ctags:
	@echo [`date +"%Y/%m/%d %T"`] Creating ctags
	@find ./lib/ ./t/ ./templates/ -regextype posix-egrep -regex '.*\.(tpl|tt2|pm)' > ./ctag.flist
	@ctags \
	--langdef=tt --langmap=tt:.tmpl.tpl.tt2 --regex-tt='/[^a-zA-Z0-9_]MACRO[ \t]+([a-zA-Z0-9_]+)/\1/m,Macro/' --regex-tt='/[^a-zA-Z0-9_]BLOCK[ \t]+([a-zA-Z0-9_]+)/\1/b,Block/' \
	--regex-perl='/^ +([a-zA-Z_0-9]+) *=> *(.*)->new/\1/d,definition/' \
	--regex-perl="/^\s*use\s+.*\s+accessor\s*=>\s*['\"](.*)['\"]/\1/d,definition/" \
	--langdef=flist --langmap=flist:.flist --regex-flist='/\/([a-zA-Z_]+)\.(tpl|tt2)$$/\1/f,File/' \
	-L ./ctag.flist -f ./tags
	@rm ./ctag.flist
# Внутрение цели - end

hooks_update:
	@arc config pre-commit-hook.partner/perl/partner2.pre-commit $(CURRENT_DIR)/hooks/pre-commit
#	@arc config prepare-commit-msg-hook.partner/perl/partner2.qbit-prepare-commit-msg /usr/bin/qbit-prepare-commit-msg

# Цели которые нужно использовать - start
beta_create: create_and_copy_configs frontend-node-static hooks_update build_java
#	@ONLY_DOWNLOAD=1 perl -Ilib -MNet::INET6Glue ./bin/tanker-sync.pl
	@./nginx/init.sh restart

test:
	@echo [`date +"%Y/%m/%d %T"`] START tests
#	prove -j3 --norc -r -Iconfigs/dev -Ilib -I t/lib -I utils/lib -It_lib --ext=.t --ext=.tjson t/ t_external/
	@echo 'Skip testing'

release:
	@echo [`date +"%Y/%m/%d %T"`] START release
	@tag=`./bin/get_version_from_arc.pl --increase_version` && \
	arc push HEAD:tags/releases/partner/perl/$$tag && \
	echo "[Arc::Tag] Tagged $$tag"

docker_start:
	COMPOSE_HTTP_TIMEOUT=300 docker-compose -p $(BETA_PORT) up -d

docker_stop:
	docker-compose -p $(BETA_PORT) stop && COMPOSE_HTTP_TIMEOUT=300 docker-compose -p $(BETA_PORT) rm --force

docker_build:
	docker-compose -p $(BETA_PORT) build

docker_restart: docker_stop docker_build docker_start

docker_test:
	docker exec $$(docker inspect --format '{{.Name}}' `docker-compose ps -q backend` | perl -nalE 's{^/}{}; say') sh -c "PARTNER2_TEST_DB_HOST=db prove --lib ./lib/ t"

docker_backend_nginx_build:
ifndef BACKEND_DOCKER_IMAGE_VERSION
	$(error BACKEND_DOCKER_IMAGE_VERSION is not set)
endif
	docker build --tag registry.yandex.net/partners/perl-backend-nginx:experimental-$(BACKEND_DOCKER_IMAGE_VERSION) configs/deploy_backend/nginx

docker_teamcity_build:
ifndef TEAMCITY_DOCKER_IMAGE_VERSION
	$(error TEAMCITY_DOCKER_IMAGE_VERSION is not set)
endif
	docker build \
		--file ./configs/func-tests/${UBUNTU_VERSION}/Dockerfile \
		--tag registry.yandex.net/partners/partner-teamcity-agent${UBUNTU_VERSION_SUFFIX}:$(TEAMCITY_DOCKER_IMAGE_VERSION) \
		.

##########
# DEPLOY #
##########

build:
	@perl bin/deploy/build_perl_backend_docker_image.pl --branch=$(BRANCH) --VERSION=$(VERSION)

prepare_content:
	tar cf lego_frontend.tar $(LEGO_IMAGE_CONTENT) --hard-dereference --owner=$(PARTNER_UID) --group=$(PARTNER_UID)
	tar cf perl_backend.tar $(IMAGE_CONTENT) --hard-dereference --owner=$(PARTNER_UID) --group=$(PARTNER_UID)

tar_prepare_content: prepare_content
	tar -czvf ../partner2.tar.gz -C ./ ./

docker_backend_build: prepare_content
ifndef BACKEND_DOCKER_IMAGE_VERSION
	$(error BACKEND_DOCKER_IMAGE_VERSION is not set)
endif
	docker build \
		--file configs/deploy_backend/${UBUNTU_VERSION}/Dockerfile \
		--tag registry.yandex.net/partners/perl-backend${UBUNTU_VERSION_SUFFIX}:$(BACKEND_DOCKER_IMAGE_VERSION) \
		--build-arg VERSION=$(BACKEND_DOCKER_IMAGE_VERSION) .
	@echo "BACKEND_IMAGE_FULL_NAME=registry.yandex.net/partners/perl-backend${UBUNTU_VERSION_SUFFIX}:$(BACKEND_DOCKER_IMAGE_VERSION)"

push_image:
ifndef BACKEND_IMAGE_FULL_NAME
	$(error BACKEND_IMAGE_FULL_NAME is not set)
endif
	docker push $(BACKEND_IMAGE_FULL_NAME)

build_java:
	@perl ./bin/build_java.pl --dir=$(PWD) --branch=$(JAVA_BRANCH) $(JAVA_REBUILD)

generate_sql_for_java:
	bin/generate_sql_for_java.sh

docker_base_backend_build:
	@perl ./bin/build_base_docker_image.pl  --ubuntu_version=${UBUNTU_VERSION}

docker_backend_services_build:
ifndef BACKEND_SERVICES_DOCKER_IMAGE_VERSION
	$(error BACKEND_SERVICES_DOCKER_IMAGE_VERSION is not set)
endif
	docker build \
		--file configs/docker/backend_services/Dockerfile \
		--tag registry.yandex.net/partners/backend-services:$(BACKEND_SERVICES_DOCKER_IMAGE_VERSION) .

=== planner/Makefile ===
.PHONY: all build

REPOSITORY=registry.yandex.net/adfox/planner
TAG=latest
TAG_GIT_SHA := $(shell arc info | sed -nr 's/hash: //p')

all: build


run:
	docker run -p 3000:80 -t ${REPOSITORY}

build:
	docker build --rm --force-rm . -t ${REPOSITORY}:${TAG} -t ${REPOSITORY}:${TAG_GIT_SHA}

push:
	docker push ${REPOSITORY}:${TAG}
	docker push ${REPOSITORY}:${TAG_GIT_SHA}

=== Partner-DB/debian/changelog ===
libpartner-db-perl (1.8.29) unstable; urgency=low

  * PI-20185 add autotests, oneshot and preprod servers

 -- Artem Rumyantsev <artrum@yandex-team.ru>  Fri, 14 Aug 2020 16:56:46 +0300

libpartner-db-perl (1.8.28) unstable; urgency=low

  * Fix CH connection

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Tue, 16 Jun 2020 13:08:18 +0300

libpartner-db-perl (1.8.27) unstable; urgency=low

  * Change connection

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Tue, 16 Jun 2020 12:34:55 +0300

libpartner-db-perl (1.8.26) unstable; urgency=low

  * change ssl to secure

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Thu, 08 Nov 2018 16:25:13 +0300

libpartner-db-perl (1.8.25) precise; urgency=low

  * delete colored prompt

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 02 Oct 2018 15:46:44 +0300

libpartner-db-perl (1.8.24) precise; urgency=low

  * remove "--silent" 

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 02 Oct 2018 14:24:26 +0300

libpartner-db-perl (1.8.23) precise; urgency=low

  * fix clickhouse hosts

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 02 Oct 2018 12:53:04 +0300

libpartner-db-perl (1.8.20) precise; urgency=low

  * add ClickHouse

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 01 Oct 2018 21:57:52 +0300

libpartner-db-perl (1.8.19) precise; urgency=low

  * refactoring

 -- Roman Zuev <zurom@yandex-team.ru>  Fri, 23 Feb 2018 21:44:39 +0300

libpartner-db-perl (1.8.18) precise; urgency=low

  * supress warning

 -- Roman Zuev <zurom@yandex-team.ru>  Fri, 23 Feb 2018 18:43:00 +0300

libpartner-db-perl (1.8.17) precise; urgency=low

  * INFRASTRUCTUREPI-1836 - new TS database

 -- Alexey Lapaev <alapaev@yandex-team.ru>  Mon, 03 Jul 2017 14:59:17 +0300

libpartner-db-perl (1.8.16) precise; urgency=low

  * add debian/install 

 -- Roman Zuev <zurom@yandex-team.ru>  Sun, 23 Apr 2017 14:16:03 +0300

libpartner-db-perl (1.8.15) precise; urgency=low

  * Trying to fix problem with perllocal.pod

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Thu, 26 May 2016 21:40:10 +0300

libpartner-db-perl (1.8.14) precise; urgency=low

  * No changes

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Thu, 26 May 2016 21:20:55 +0300

libpartner-db-perl (1.8.13) precise; urgency=low

  * No changes

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Mon, 23 May 2016 15:02:23 +0300

libpartner-db-perl (1.8.12) precise; urgency=low

  * New databases ts1 and ts2

  * bin/show_mysql_status shows only last 5 docker images

  * ./bin/show_mysql_status

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Mon, 23 May 2016 14:28:03 +0300

libpartner-db-perl (1.8.11) precise; urgency=low

  * Changes user for production partner2 partner_logs

  * change user for prod

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Fri, 25 Mar 2016 12:34:50 +0300

libpartner-db-perl (1.8.10) precise; urgency=low

  * New option in all scripts `--silent`

  * New option in all scripts `--additional_options="..."`

  * No more color in mysql prompt
  * (Color breaks editing capabilities. Mysql cli does counts number of
    symbols incorrectly)

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Thu, 03 Mar 2016 22:38:15 +0300

libpartner-db-perl (1.8.9) precise; urgency=low

  * INFRASTRUCTUREPI-530 - Using port 3378 for
    partnerdb-mysql-test.yandex.ru

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Tue, 17 Nov 2015 11:30:35 +0300

libpartner-db-perl (1.8.8) precise; urgency=low

  * INFRASTRUCTUREPI-530 - New port for partner2-test.yandex.ru database

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Fri, 13 Nov 2015 12:46:38 +0300

libpartner-db-perl (1.8.7) precise; urgency=low

  * INFRASTRUCTUREPI-474 - При подключении к
    продашн базе mysql prompt уведомляет об
    этом
  * Решение найдено тут:
    http://superuser.com/questions/397183/mysql-command-line-color-prompt

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Tue, 22 Sep 2015 21:20:17 +0300

libpartner-db-perl (1.8.6) precise; urgency=low

  * DIRECTADMIN-2121 - New auth data for partner2 dev & ts databases

  * INFRASTRUCTUREPI-163 - Working with dev & ts databases for partner2

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Wed, 18 Mar 2015 22:26:12 +0300

libpartner-db-perl (1.8.5) precise; urgency=low

  * tertius - fix distribution test db port.

  * Connect to distribution database.

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Tue, 17 Mar 2015 12:57:39 +0300

libpartner-db-perl (1.8.4) precise; urgency=low

  * changed login info for test_partner_logs2

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Thu, 12 Feb 2015 16:26:46 +0300

libpartner-db-perl (1.8.3) precise; urgency=low

  * DIRECTADMIN-1570 — using port 3478 for test database

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Mon, 08 Dec 2014 17:39:21 +0400

libpartner-db-perl (1.8.2) precise; urgency=low

  * Fixing `mysql_partner2 --server=test`
  * Using the same db settings as in file `beta/DatabaseConfig.json`.

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Mon, 21 Jul 2014 15:26:33 +0400

libpartner-db-perl (1.8.1) precise; urgency=low

  * Using dzil plugin QBit::Yandex

  * Using new zookeeper file with PI1 logs settings

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Fri, 25 Apr 2014 17:46:16 +0400

libpartner-db-perl (1.8.0) precise; urgency=low

  * 1.8.0

  * Using new zookeeper file with PI1 settings

  * fix one more typo

  * fix one more typo

  * fix typos

  * perltidy

  * added perltidy files

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Mon, 21 Apr 2014 14:59:55 +0400

libpartner-db-perl (1.7.1) precise; urgency=low

  * 1.7.1

  * fixes for partner2

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Fri, 29 Nov 2013 17:25:50 +0400

libpartner-db-perl (1.7.0) precise; urgency=low

  * 1.7.0

  * simpler

  * refactoring

  * removing temp hack;

  * additional check for host

  * remove ldumps

  * eval removed

  * fixes

  * for PI1: hostname for mysql db now taken from func (zookeper)

  * PI-1396 take server host param from zookeper



=== partner2-juggler-api/debian/changelog ===
libpartner2-juggler-api-perl (0.15) unstable; urgency=low

  * notify_rules/remove_notify_rules

 -- Mikhail Leontev <leontevml@yandex-team.ru>  Fri, 12 Feb 2021 13:03:55 +0300

libpartner2-juggler-api-perl (0.14) unstable; urgency=low

  * fix notify_rules/get_notify_rules

 -- Mikhail Leontev <leontevml@yandex-team.ru>  Fri, 12 Feb 2021 10:24:25 +0300

libpartner2-juggler-api-perl (0.13) unstable; urgency=low

  * fix notify rules update

 -- Mikhail Leontev <leontevml@yandex-team.ru>  Fri, 12 Feb 2021 08:13:01 +0300

libpartner2-juggler-api-perl (0.12) unstable; urgency=low

  * fix HTTP::Message must be bytes

 -- Evgeniy Zemtsov <madamada@yandex-team.ru>  Fri, 29 May 2020 13:30:36 +0300

libpartner2-juggler-api-perl (0.11) unstable; urgency=low

  * fix add_or_update_notify_rule http method

 -- Evgeniy Zemtsov <madamada@yandex-team.ru>  Tue, 19 May 2020 14:57:04 +0300

libpartner2-juggler-api-perl (0.10) unstable; urgency=low

  * use jsv validator. add notify rules api

 -- Evgeniy Zemtsov <madamada@yandex-team.ru>  Tue, 19 May 2020 12:13:07 +0300

libpartner2-juggler-api-perl (0.09) unstable; urgency=low

  * extend api

 -- Artem Rumyantsev <artrum@yandex-team.ru>  Tue, 05 Nov 2019 13:44:41 +0300

libpartner2-juggler-api-perl (0.08) precise; urgency=low

  * add repeat arg

 -- Evgeniy Zemtsov <madamada@yandex-team.ru>  Wed, 31 Jul 2019 01:16:02 +0300

libpartner2-juggler-api-perl (0.07) unstable; urgency=low

  * added active checks

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Mon, 10 Dec 2018 16:54:30 +0300

libpartner2-juggler-api-perl (0.06) unstable; urgency=low

  * removed versions and depends

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Thu, 06 Dec 2018 16:13:49 +0300

libpartner2-juggler-api-perl (0.05) unstable; urgency=low

  * fix status and method

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Mon, 03 Dec 2018 20:33:40 +0300

libpartner2-juggler-api-perl (0.04) unstable; urgency=low

  * fix urls

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Wed, 28 Nov 2018 13:18:51 +0300

libpartner2-juggler-api-perl (0.03) unstable; urgency=low

  * added md5_hex

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Thu, 22 Nov 2018 16:56:33 +0300

libpartner2-juggler-api-perl (0.02) unstable; urgency=low

  * added debian

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Wed, 21 Nov 2018 21:46:37 +0300

libpartner2-juggler-api-perl (0.01) unstable; urgency=low

  * Initial release

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Wed, 21 Nov 2018 21:19:11 +0300

=== yandex-partner-clickhouse-conf/debian/changelog ===
yandex-partner-clickhouse-conf (1.12) unstable; urgency=low

  * sh -> bash 

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Thu, 25 Apr 2019 18:11:16 +0300

yandex-partner-clickhouse-conf (1.11) unstable; urgency=low

  * fix upstart

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Thu, 25 Apr 2019 17:35:10 +0300

yandex-partner-clickhouse-conf (1.10) precise; urgency=low

  * add dictionaries folder

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 25 Dec 2017 22:11:20 +0300

yandex-partner-clickhouse-conf (1.09) precise; urgency=low

  * Fix deps for newer vershion of ClickHouse

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 18 Sep 2017 17:16:40 +0300

yandex-partner-clickhouse-conf (1.08) unstable; urgency=low

  * log to Graphite

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 10 Apr 2017 16:38:16 +0300

yandex-partner-clickhouse-conf (1.07) unstable; urgency=low

  * fix cron

 -- Roman Zuev <zurom@yandex-team.ru>  Fri, 17 Mar 2017 20:55:23 +0300

yandex-partner-clickhouse-conf (1.06) unstable; urgency=low

  * add cron to restart ClickHouse

 -- Roman Zuev <zurom@yandex-team.ru>  Fri, 17 Mar 2017 20:38:40 +0300

yandex-partner-clickhouse-conf (1.05) unstable; urgency=low

  * Start at runlevel 2

 -- Denis Popov <denvr@yandex-team.ru>  Wed, 25 Jan 2017 21:14:12 +0300

yandex-partner-clickhouse-conf (1.04) unstable; urgency=low

  * Increase <max_memory_usage>

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 17 Jan 2017 13:52:18 +0300

yandex-partner-clickhouse-conf (1.03) unstable; urgency=low

  * fix 

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 26 Dec 2016 21:37:04 +0300

yandex-partner-clickhouse-conf (1.02) unstable; urgency=low

  * add <remote_servers>

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 26 Dec 2016 21:17:06 +0300

yandex-partner-clickhouse-conf (1.01) unstable; urgency=low

  * first release

 -- Roman Zuev <zurom@yandex-team.ru>  Wed, 21 Dec 2016 21:37:23 +0300

yandex-partner-clickhouse-conf (0.1) unstable; urgency=low

  * first build

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 20 Dec 2016 14:46:19 +0300

=== yandex-partner-dev-replace-monrun/debian/changelog ===
yandex-partner-dev-replace-monrun (0.1-7) unstable; urgency=low

  * Обновлены версии зависимостей.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Fri, 29 Nov 2019 13:38:12 +0300

yandex-partner-dev-replace-monrun (0.1-6) unstable; urgency=low

  * Указаны конкретные версии пакетов

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Wed, 27 Nov 2019 17:30:30 +0300

yandex-partner-dev-replace-monrun (0.1-5) unstable; urgency=low

  * Обновлены зависимости пакета. Добавлены проверки raid, unispace.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Wed, 27 Nov 2019 14:18:40 +0300

yandex-partner-dev-replace-monrun (0.1-4) unstable; urgency=low

  * Удалены zk-partner (ПИ1).

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 26 Nov 2019 13:58:14 +0300

yandex-partner-dev-replace-monrun (0.1-3) unstable; urgency=low

  * Обновлён MANIFEST.json (убраны ненужные проверки)

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 26 Nov 2019 13:17:11 +0300

yandex-partner-dev-replace-monrun (0.1-2) unstable; urgency=low

  * Добавлен postinst скрипт

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 26 Nov 2019 12:24:02 +0300

yandex-partner-dev-replace-monrun (0.1-1) precise; urgency=low

  * Initial release.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 26 Nov 2019 10:07:49 +0300

=== yandex-partner-replace-monrun/debian/changelog ===
yandex-partner-disable-monrun (0.1-5) unstable; urgency=low

  * Обновлены версии зависимостей.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Fri, 29 Nov 2019 13:40:24 +0300

yandex-partner-disable-monrun (0.1-4) unstable; urgency=low

  * Указаны конкретные версии зависимостей.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Wed, 27 Nov 2019 18:43:02 +0300

yandex-partner-disable-monrun (0.1-3) unstable; urgency=low

  * Добавлены необходимые зависимости пакета. 

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Wed, 27 Nov 2019 14:28:37 +0300

yandex-partner-disable-monrun (0.1-2) unstable; urgency=low

  * Обновлены скрипты для запуска.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 26 Nov 2019 16:33:15 +0300

yandex-partner-disable-monrun (0.1-1) precise; urgency=low

  * Initial release.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 19 Nov 2019 14:28:12 +0300

=== yandex-partner-rsync/debian/changelog ===
yandex-partner-rsync (0.03) precise; urgency=low

  * PI-9119 - stat_cache dir

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 12 Sep 2017 16:45:42 +0300

yandex-partner-rsync (0.02) precise; urgency=low

  * fix hosts for partner2-test

 -- Roman Zuev <zurom@yandex-team.ru>  Thu, 20 Jul 2017 21:23:39 +0300

yandex-partner-rsync (0.01) unstable; urgency=low

  * init

 -- Roman Zuev <zurom@dev-partner2.ppc.yandex.ru>  Tue, 27 Dec 2016 00:27:00 +0300

=== yandex-partner-solomon-agent-conf/debian/changelog ===
yandex-partner-solomon-agent-conf (0.1-9) unstable; urgency=medium

  * up agent-bin version right bound 

 -- Daniil Belyak <daniil-belyak@yandex-team.ru>  Tue, 18 Jan 2022 23:13:41 +0300

yandex-partner-solomon-agent-conf (0.1-8) unstable; urgency=medium

  * UPDATE horglass

 -- Daniil Belyak <daniil-belyak@yandex-team.ru>  Tue, 18 Jan 2022 23:04:44 +0300

yandex-partner-solomon-agent-conf (0.1-7) unstable; urgency=low

  * Support systemd for bionic

 -- Roman Zuev <zurom@yandex-team.ru>  Fri, 03 Sep 2021 10:16:19 +0300

yandex-partner-solomon-agent-conf (0.1-6) unstable; urgency=low

  * Up depends version yandex-solomon-agent-bin to 1:17.0

 -- Mikhail Leontev <leontevml@yandex-team.ru>  Thu, 20 Oct 2020 12:15:10 +0300

yandex-partner-solomon-agent-conf (0.1-5) unstable; urgency=low

  * Change ports 42001->22001; 42042->22042

 -- Mikhail Leontev <leontevml@yandex-team.ru>  Thu, 20 Oct 2020 10:08:54 +0300

yandex-partner-solomon-agent-conf (0.1-4) unstable; urgency=low

  * Update dependency version to stable.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Thu, 28 Nov 2019 17:32:54 +0300

yandex-partner-solomon-agent-conf (0.1-3) unstable; urgency=low

  * Update package version

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Thu, 28 Nov 2019 14:41:11 +0300

yandex-partner-solomon-agent-conf (0.1-2) unstable; urgency=low

  * Обновлены конфиги.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Thu, 28 Nov 2019 14:21:35 +0300

yandex-partner-solomon-agent-conf (0.1-1) precise; urgency=low

  * Initial release.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 19 Nov 2019 14:28:12 +0300

=== Partner-DB/debian/control ===
Source: libpartner-db-perl
Section: perl
Priority: extra
Maintainer: Ivan Bessarabov <bessarabov@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0), perl, libqbit-perl
Standards-Version: 3.9.4

Package: libpartner-db-perl
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 libsql-easy-perl,
 perl
Homepage: https://github.yandex-team.ru/partner/Partner-DB
Description: partner mysql client helpers
 Long description.

=== partner2-juggler-api/debian/control ===
Source: libpartner2-juggler-api-perl
Section: misc
Priority: extra
Maintainer: Igor Sverdlov <blizzard@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0),
 libjson-xs-perl,
 libwww-perl,
 libhttp-message-perl
Standards-Version: 3.9.2
Homepage: https://github.yandex-team.ru/partner/partner2-juggler-api
#Vcs-Git: git@github.yandex-team.ru:partner/partner2-juggler-api.git
#Vcs-Browser: https://github.yandex-team.ru/partner/partner2-juggler-api

Package: libpartner2-juggler-api-perl
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 libjson-xs-perl,
 libwww-perl,
 libhttp-message-perl,
 libjsv-perl
Description: Package for working with Juggler API
 Perl package for working with Juggler API

=== yandex-partner-clickhouse-conf/debian/control ===
Source: yandex-partner-clickhouse-conf
Section: misc
Priority: extra
Maintainer: Roman Zuev <zurom@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Vcs-Git: git://git@github.yandex-team.ru:partner/yandex-partner-clickhouse-conf.git
Vcs-Browser: https://github.yandex-team.ru/partner/yandex-partner-clickhouse-conf

Package: yandex-partner-clickhouse-conf
Depends:
	${misc:Depends},
	clickhouse-server-common(>= 1.1.53982),
	clickhouse-server-base(>= 1.1.53982),
	clickhouse-client(>= 1.1.53982)
Architecture: all
Homepage: https://github.yandex-team.ru/partner/yandex-partner-clickhouse-conf
Description: ClikHouse partner config

=== yandex-partner-rsync/debian/control ===
Source: yandex-partner-rsync
Section: misc
Priority: extra
Maintainer: Roman Zuev <zurom@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Vcs-Git: git://git@github.yandex-team.ru:partner/yandex-partner-rsync.git
Vcs-Browser: https://github.yandex-team.ru/partner/yandex-partner-rsync

Package: yandex-partner-rsync
Depends:
    ${misc:Depends}
Architecture: all
Homepage: https://github.yandex-team.ru/partner/yandex-partner-rsync
Description: rsync configs for yandex-partners-frontend

=== Partner-DB/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm debian/libpartner-db-perl/usr/lib/perl/5.14/perllocal.pod || true
